.text-center {
  color: #c1191a;
  font-size: 3.4em;
  text-align: center;
  z-index: 5;
  position: relative;
}

#dev {
  margin: 190px auto;
}

.dev_title {
  color: white;
  font-size: 2.4em;
  text-align: center;
  margin: 100px auto;
}

/* cms */
.section_dev {
  display: flex;
  flex-direction: column;
  justify-content: center;
  max-width: 1100px;
  margin: auto;
}

.section_dev h3 {
  font-family: "Kodchasan", sans-serif;
  color: white;
  font-size: 2.4em;
  text-align: left;
  margin-bottom: 80px;
}

.section_dev p {
  font-family: "montserrat", sans-serif;
  color: white;
  font-size: 1.2em;
  line-height: 1.8em;
  text-align: left;
}

#cms {
  aspect-ratio: auto 550/315.78;
  width: 550px;
  height: auto;
  margin-bottom: 50px;
}

#block_dev1 {
  display: flex;
  flex-flow: wrap;
  flex-direction: row;
  margin-bottom: 80px;
}

#p_un {
  align-self: start;
  color: white;
  width: 50%;
  margin-top: 77px;
  margin-left: 0px;
}

.logo_cms {
  display: flex;
  flex-direction: row;
  flex-flow: wrap;
  align-items: center;
  justify-content: space-between;
  margin-bottom: 80px;
}

#wordpress {
  aspect-ratio: auto 200/85.41;
  width: 200px;
  height: auto;
}

#joomla {
  aspect-ratio: auto 140/116.31;
  width: 140px;
  height: auto;
}

#prestashop {
  aspect-ratio: auto 170/27.73;
  width: 170px;
  height: auto;
}

#woocommerce {
  aspect-ratio: auto 170/170;
  width: 170px;
  height: auto;
}

/* framework */
#code {
  aspect-ratio: auto 400/368.59;
  width: 400px;
  height: auto;
}

#block_dev2 {
  display: grid;
  grid-template-columns: 1fr 1fr;
  margin-bottom: 60px;
}
#p_deux {
  margin-top: 43px;
}

#symfony {
  aspect-ratio: auto 170/42.41;
  width: 170px;
  height: auto;
}

#laravel {
  aspect-ratio: auto 160/47.27;
  width: 160px;
  height: auto;
}

#angular {
  aspect-ratio: auto 150/40.78;
  width: 150px;
  height: auto;
}

#react {
  aspect-ratio: auto 160/52.28;
  width: 160px;
  height: auto;
}

.p_framework {
  margin-bottom: 130px;
}

/* referencement */
#ref_naturel {
  aspect-ratio: auto 270/195.89;
  width: 270px;
  height: auto;
  position: relative;
}

/* titre principal */
#referencement {
  color: #c1191a;
}

#block_dev3 {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  margin-bottom: 80px;
}

#block_dev3 h3 {
  align-self: flex-start;
}

#ref_payant {
  aspect-ratio: auto 300/178.73;
  width: 300px;
  height: auto;
  margin: 50px auto;
}

#ref {
  display: flex;
  flex-direction: row;
  justify-content: center;
}

/* securite */
#securite {
  aspect-ratio: auto 250/223.83;
  width: 250px;
  height: auto;
  align-self: self-end;
}

#block_securite {
  display: flex;
  gap: 90px;
  margin: 80px auto;
}

#secu_title {
  color: #c1191a;
}

/* accompagnement */
.contacter_developpement {
  color: #c1191a;
}
#accompagnement {
  aspect-ratio: auto 200/201.25;
  width: 200px;
  height: auto;
  margin: 50px auto;
}

#accompagne {
  display: flex;
  flex-direction: row;
  justify-content: center;
}

#accompagne_title {
  color: #c1191a;
}

/* prix */
#prix {
  aspect-ratio: auto 180/146.91;
  width: 180px;
  height: auto;
}

#block_prix {
  display: flex;
  flex-direction: row;
  align-items: baseline;
  margin-top: 100px;
}

#prix_title {
  color: #c1191a;
}

/* lien a page developpement */
#link_developpement {
  color: black;
}

/* responsive */

@media all and (max-width: 1280px) {
  /* titre */
  .text-center {
    font-size: 3em;
  }
}
@media all and (max-width: 1185px) {
  /* titre */
  .text-center {
    font-size: 2.8em;
  }

  .section_dev {
    max-width: 850px;
  }

  #cms {
    width: 400px;
    margin-bottom: 20px;
  }

  #p_un {
    margin-top: 0px;
  }
  /* 
  section framework */
  #code {
    width: 350px;
    margin-top: 50px;
  }

  #p_deux {
    margin-top: 0px;
  }

  /* rteferencement */
  #ref_naturel {
    width: 250px;
  }

  /* securite */
  #block_securite {
    gap: 50px;
  }
}

@media all and (max-width: 1080px) {
  /* titre */
  .text-center {
    font-size: 2.6em;
  }
}

@media all and (max-width: 980px) {
  /* titre */
  .text-center {
    font-size: 2.4em;
  }

  .section_dev {
    max-width: 700px;
  }

  .section_dev p {
    font-size: 1.1em;
  }

  #cms {
    width: 350px;
  }

  #wordpress {
    width: 190px;
  }

  #woocommerce {
    width: 140px;
  }

  #joomla {
    width: 120px;
  }

  #prestashop {
    width: 150px;
  }

  /* framework */
  #code {
    width: 300px;
  }

  #symfony {
    width: 150px;
  }

  #laravel {
    width: 140px;
  }

  #angular {
    width: 130px;
  }

  #react {
    width: 140px;
  }

  /* referencement */
  #block_dev3 {
    margin-bottom: 50px;
  }

  #ref_payant {
    width: 270px;
  }

  /* securite */
  #securite {
    width: 200px;
  }

  #block_securite {
    gap: 40px;
  }
  
  #accompagnement {
    width: 180px;
  }

  /* prix */
  #prix {
    width: 160px;
  }
}

@media all and (max-width: 780px) {
  .section_dev {
    max-width: 600px;
  }

  #block_dev1 {
    flex-direction: column;
    justify-content: center;
  }

  #p_un {
    align-self: start;
    width: 100%;
  }

  #cms {
    display: block;
    margin: 20px auto;
  }

  #block_dev2 {
    grid-template-columns: 1fr;
    margin-bottom: 0px;
  }

  #code {
    margin: auto auto 50px auto;
    display: block;
  }

  #block_dev3 {
    flex-direction: column;
    justify-content: center;
  }

  #ref_naturel {
    width: 200px;
  }

  .text-center {
    font-size: 2.2em;
  }

  .dev_title {
    font-size: 2em;
  }

  .section_dev h3 {
    font-size: 2em;
  }
}

@media all and (max-width: 680px) {
  /* titre */
  .text-center {
    font-size: 2em;
  }

  .dev_title {
    font-size: 1.8em;
  }

  .section_dev {
    max-width: 500px;
  }

  .section_dev h3 {
    font-size: 1.8em;
  }

  .section_dev p {
    font-size: 1em;
  }

  .logo_cms {
    width: 400px;
    gap: 30px;
    margin: auto auto 80px auto;
  }

  #block_securite {
    gap: 20px;
  }

  #securite {
    width: 180px;
  }

  #ref_payant {
    width: 220px;
  }

  #accompagnement {
    width: 160px;
  }

  #prix {
    width: 120px;
  }
}

@media all and (max-width: 550px) {
  #dev {
    margin: 100px auto;
  }
  
  .text-center {
    font-size: 1.8em;
  }

  .dev_title {
    font-size: 1.7em;
  }

  .section_dev h3 {
    font-size: 1.7em;
  }

  .section_dev {
    max-width: 400px;
  }

  .section_dev {
    margin-bottom: 80px;
  }

  #block_securite {
    flex-direction: column;
    margin: 10px auto;
  }

  #securite {
    display: block;
    margin: auto;
    padding: 20px 0;
  }
  
  #accompagnement {
    width: 140px;
  }

  #prix {
    width: 100px;
  }
}

@media all and (max-width: 450px) {
  .text-center {
    font-size: 1.6em;
  }

  .dev_title {
    font-size: 1.5em;
  }

  .section_dev h3 {
    font-size: 1.5em;
  }

  .section_dev {
    max-width: 300px;
    margin: 0px auto;
  }

  .logo_cms {
    flex-direction: column;
    justify-content: center;
    width: 100%;
  }

  #cms {
    width: 280px;
  }

  #code {
    width: 270px;
  }

  #symfony {
    margin-bottom: 50px;
  }

  #laravel {
    margin-bottom: 50px;
  }

  #angular {
    margin-bottom: 50px;
  }

  .p_framework {
    margin-bottom: 80px;
  }
  
  #prestashop {
   padding-top: 45px;
  }

  #prix {
    width: 80px;
  }
}

@media all and (max-width: 360px) {
  .text-center {
    font-size: 1.5em;
  }

  .dev_title {
    font-size: 1.4em;
  }

  .section_dev h3 {
    font-size: 1.4em;
  }

  #cms {
    width: 260px;
  }

  #code {
    width: 240px;
  }

  #ref_naturel {
    width: 180px;
  }

  #ref_payant {
    width: 190px;
  }

  #securite {
    width: 160px;
  }

  #accompagnement {
    width: 120px;
  }
}
